## Create Movement `MovementCreateMovementResponse Movement.CreateMovement(MovementCreateMovementParamsparameters, CancellationTokencancellationToken = default)` **post** `/api/v2/public/stores/{store_number}/storeproductlocation/movement` Moves product stock between locations within a store. ### Parameters - `MovementCreateMovementParams parameters` - `required string storeNumber` Path param: The store number. - `string appUserName` Query param: The app user performing the movement. - `IReadOnlyList body` Body param - `Boolean? AllowOverage` Whether to allow moving more than available stock. - `FromLocation FromLocation` The source location for the product movement. - `Int? CustomerOrderLineNumber` The customer order line number at the source. - `string? CustomerOrderNumber` The customer order number at the source. - `Int? CustomerOrderShipmentLineNumber` The customer order shipment line number at the source. - `string? CustomerOrderShipmentNumber` The customer order shipment number at the source. - `string? LocationCode` The source location code. - `Int? StockPool` The stock pool at the source location. - `string? ProductNumber` The product number to move. - `Double Quantity` The quantity to move. - `string? ReasonCode` The reason code for the movement. - `string? Reference` A reference identifier for the movement. - `string? Source` The source system initiating the movement. - `ToLocation ToLocation` The destination location for the product movement. - `Int? CustomerOrderLineNumber` The customer order line number at the destination. - `string? CustomerOrderNumber` The customer order number at the destination. - `Int? CustomerOrderShipmentLineNumber` The customer order shipment line number at the destination. - `string? CustomerOrderShipmentNumber` The customer order shipment number at the destination. - `string? LocationCode` The destination location code. - `Int? StockPool` The stock pool at the destination location. ### Returns - `class MovementCreateMovementResponse:` Standard success response returned by mutation endpoints. - `string? Data` Optional data payload returned by the operation. - `string? Message` Human-readable message describing the result. - `Boolean Success` Indicates whether the operation completed successfully. ### Example ```csharp MovementCreateMovementParams parameters = new() { StoreNumber = "store_number" }; var response = await client.Movement.CreateMovement(parameters); Console.WriteLine(response); ```